Bug 1254778 - Review Request: pidgin-epel - A Gtk+ based multiprotocol instant messaging client
Review Request: pidgin-epel - A Gtk+ based multiprotocol instant messaging cl...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 1129493 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 16:20 EDT by Matěj Cepl
Modified: 2016-04-08 18:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.10.7-25.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-16 22:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2015-08-18 16:20:18 EDT
Spec URL: http://mcepl.fedorapeople.org/tmp/pidgin-epel.spec
SRPM URL: http://mcepl.fedorapeople.org/tmp/pidgin-epel-2.10.7-25.el7.src.rpm
Description: compatible package for EPEL providing /usr/bin/pidgin and /usr/bin/finch but depending on RHEL package of libpurple
Fedora Account System Username: mcepl
Comment 1 Matěj Cepl 2015-08-18 16:20:50 EDT
koji scratch builds http://koji.fedoraproject.org/koji/taskinfo?taskID=10744963
Comment 2 Kevin Fenzi 2015-08-23 14:28:16 EDT
I'll review this. Look for a review in a bit...
Comment 3 Kevin Fenzi 2015-08-23 22:54:52 EDT
Sadly I got sidetracked today and didn't get it done... will try and do so tomorrow. Sorry for the delay.
Comment 4 Kevin Fenzi 2015-08-25 16:20:34 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
ea88976b9952e80b702b030489f94393  pidgin-2.10.7.tar.bz2

OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Doc subpackage needed/used. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage. 
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed. 

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have subpackages require base package with fully versioned depend. 
OK - Should have dist tag
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says:

finch.ppc64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
finch.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
pidgin.ppc64: W: spelling-error Summary(en_US) multiprotocol -> multiprocessor
pidgin.ppc64: W: spelling-error %description -l en_US perl -> Perl, peel, perk
finch-devel.ppc64: W: only-non-binary-in-usr-lib
finch-devel.ppc64: W: no-documentation
finch-devel.x86_64: W: only-non-binary-in-usr-lib
finch-devel.x86_64: W: no-documentation
pidgin.ppc64: W: non-conffile-in-etc /etc/gconf/schemas/purple.schemas
pidgin.ppc64: W: no-manual-page-for-binary gaim
pidgin.x86_64: W: spelling-error Summary(en_US) multiprotocol -> multiprocessor
pidgin.x86_64: W: spelling-error %description -l en_US perl -> Perl, peel, perk
pidgin.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/purple.schemas
pidgin.x86_64: W: no-manual-page-for-binary gaim
pidgin-devel.ppc64: W: self-obsoletion gaim-devel obsoletes gaim-devel = 2.10.7-25.el7
pidgin-devel.ppc64: W: only-non-binary-in-usr-lib
pidgin-devel.ppc64: W: no-documentation
pidgin-devel.x86_64: W: self-obsoletion gaim-devel obsoletes gaim-devel = 2.10.7-25.el7
pidgin-devel.x86_64: W: only-non-binary-in-usr-lib
pidgin-devel.x86_64: W: no-documentation
pidgin-epel.src: W: spelling-error Summary(en_US) multiprotocol -> multiprocessor
pidgin-epel.src: W: spelling-error %description -l en_US perl -> Perl, peel, perk

All those look ignoreable. 

pidgin-epel.src:370: W: unversioned-explicit-obsoletes gaim-devel
pidgin-epel.src:396: W: unversioned-explicit-obsoletes gaim-meanwhile

These should probibly be versioned, or just dropped at this point.

pidgin-epel.src:134: W: mixed-use-of-spaces-and-tabs (spaces: line 19, tab: line 134)

Could fix if you get a chance. 

pidgin-epel-debuginfo.ppc64: E: incorrect-fsf-address /usr/src/debug/pidgin-2.10.7/pidgin/getopt.h
pidgin-epel-debuginfo.ppc64: E: incorrect-fsf-address /usr/src/debug/pidgin-2.10.7/finch/getopt.h
pidgin-epel-debuginfo.ppc64: E: incorrect-fsf-address /usr/src/debug/pidgin-2.10.7/pidgin/gtkdocklet-gtk.c
pidgin-epel-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pidgin-2.10.7/pidgin/getopt.h
pidgin-epel-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pidgin-2.10.7/finch/getopt.h
pidgin-epel-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pidgin-2.10.7/pidgin/gtkdocklet-gtk.c

Could let upstream know to update their files. 

2. There's a ton of stuff that could be cleaned up in the spec, but I assume 
you want to keep it close to the Fedora one in order to sync them? 

If not, you can drop all the rhel4 stuff and all the Fedora stuff thats older than F21. 
(there's a ton of that cruft. You may want to clean up the fedora spec and sync it to this one)

I don't see any blockers, so this package is APPROVED. 

Do consider cleaning up before import.
Comment 5 Matěj Cepl 2015-08-29 02:59:22 EDT
(In reply to Kevin Fenzi from comment #4)
> pidgin-epel.src:134: W: mixed-use-of-spaces-and-tabs (spaces: line 19, tab:
> line 134)

This one could be easily fixed.

> 2. There's a ton of stuff that could be cleaned up in the spec, but I assume 
> you want to keep it close to the Fedora one in order to sync them? 

Exactly. It is of course horrible, but this is the one SPEC for
all RHEL/Fedora packages and in case of update I need to be able
to merge it easily.

> I don't see any blockers, so this package is APPROVED. 

Thank you.
Comment 6 Matěj Cepl 2015-08-29 03:02:21 EDT
New Package SCM Request
=======================
Package Name: pidgin-epel
Short Description: A Gtk+ based multiprotocol instant messaging client
Upstream URL: https://pidgin.im/
Owners: mcepl
Branches: epel7
InitialCC:
Comment 7 Gwyn Ciesla 2015-08-30 10:18:49 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-08-31 06:29:15 EDT
pidgin-epel-2.10.7-25.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7858
Comment 9 Fedora Update System 2015-08-31 22:50:04 EDT
pidgin-epel-2.10.7-25.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pidgin-epel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7858
Comment 10 Fedora Update System 2015-09-16 22:24:28 EDT
pidgin-epel-2.10.7-25.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Robert Scheck 2016-04-08 18:41:04 EDT
*** Bug 1129493 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.